Desktop Wall & Viewport Switcher: Bindings for "Next" and "Prev" workspaces dont work. Bindings that use screen edges don't work.

Bug #754948 reported by Hiisukun on 2011-04-08
252
This bug affects 50 people
Affects Status Importance Assigned to Milestone
compiz (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: compiz

In the "Desktop Wall" compiz plugin in the "Bindings" tab there is a section "Move within wall".
I have a 2 x 2 desktop. I want to be able to chuck my mouse on the edge of the screen (top/left/bottom/right) and use the mouse wheel to scroll up/down to go prev/next workspace. This has worked fine for me since 10.04 or earlier. There are two problems:

1) I cannot get "Move Next" and "Move Prev" to work at all. Key bindings, mouse bindings, screen edges with mouse buttons or key combinations and mouse buttons just doesn't work. "Move Up/Down/Left/Right" all work fine - but it appears compiz doesn't know which is 'next' and 'previous' for workspaces.

2) I can't get screen edges to work with the binds for "Move Up/Down/Left/Right". If I bind "Move Up" to <Super>Button 4 then hold Super and scroll up, it will move upwards within my workspaces. If I bind "Move Up" to <TopEdge><Super>Button 4 then I am unable to trigger it. This is true for any edge, any mouse button, and Move<AnyDirection>.

I can't seem to get the "Viewport Switcher" plugin to do much of anything really. The keybindings for "Go to specific viewport" all work - but the "Number-Based Viewport Switching" doesnt do anything, and "Desktop-based Viewport Switching" doesn't seem to do anything either.

Hiisukun (hiisukun) wrote :

Ah, I hit submit and forgot versions. I'm not sure what to add but:
Natty 11.04 updated to 9/4/11. Compiz 0.9.4.0.

I am using "Ubuntu Classic" mode (non-unity) with gnome-panel replaced with avant-window manager. I can drag windows between workspaces fine, and change workspaces by binding Move Workspace Up/Down/Left/Right to specific keys, or mouse bindings without screen edges.

Just yell out if you need more info.

glazs (l-admin-rock-su) wrote :

I have problem 2 too. Edge click not working.

glazs (l-admin-rock-su) on 2011-04-18
Changed in compiz (Ubuntu):
status: New → Confirmed
Mikhail S. Pobolovets (styx-mp) wrote :

I have same problem with key bindings next_key and prev_key doesn't works.

Mário Buči (mario-buci) wrote :

Same here.

Dmitry K (dkekel) wrote :

Same for me. I've even started a new bug https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/772251 topic.

DrGonzoRIP (ahmedmineissi) wrote :

Me too.

phebus (mmensik) wrote :

Same problem here

Mark White (mark-somsip) wrote :

And another one here.

Edge-flipping 'sometimes' works. Sometimes it will left flip, but not right flip. Or I'll flip right and flip back left again, but then I can't flip right again. Disabling and reenabling Viewpoint Switcher makes it work reliably, but this corrupts the panel, and after I logout and login again to reset this, it's back to 'sometimes' working.

Just now I tried making left edge flip on 'bottom-left' and right flip on 'bottom-right'. It wouldn't flip, then it flipped left once, and wouldn't do anything again.

Changed it back to left-flip wit 'left' only and right flip with 'right' only, and it left flipped once and then wouldn't budge. I can no pattern at all.

Back to risking RSI with swapping with hot-keys I guess...

Nicolas Albert (nicoa380) wrote :

I have a 3x3 desktop with gnome2 + compiz. I use to left click (button 1) to a border for change desktop.

With Natty, I can't, I have to switch desktop using keyboard shortcut (ctrl+alt+ direction).

Pavel Podolin (pavel-podolin) wrote :

Me too. And it really annoying!

This bug is a killer for me, I have my scroll wheel bound at the screen edges to scroll workspaces. I would roll back to 10.10 if I could just to get this back. Please fix!

Az de Lacroix (az-n-get) wrote :

Same here. It's really, really annoying.
Don't think, that will rollback (because it's pretty hard) and also because I belive, it' will be fixed soon ^^

Xavier (xpucel) wrote :

Same here on Unity.
This is the only desktop customization I use because I find it so much more convenient than the expose. I'm actually happy to see that so many people had the same idea :)

ABE3K (abe3k) wrote :

This bug also affects all compiz edge bindings with mouse button presses in it on dual monitors with nvidia driver 270.41.06 under both gnome and unity, and for some reason the bug doesn't exist if you're in expo or shift switcher or scale. For example if you have a binding for magnifier set for a screen edge with a mouse scroll, it will not work on the normal desktop but it'll work if you switch to expo or shift switcher or scale with a little glitchy screen tearing.

cornbread (corn13read) wrote :

for me <leftedge>button1 is a requirement for me to use my laptop. need this back before I die!

cornbread (corn13read) wrote :

what can i do to fix this? how do i go back to using regular non unity compiz or a version without this problem?

FaberfoX (faberfox) wrote :

You will need to uninstall compiz and it's dependent packages and then install maverick versions of them.
The list of the ones I installed is this:

compiz_0.8.6-0ubuntu9.2_all.deb
compizconfig-backend-gconf_0.8.4-1ubuntu5_i386.deb
compizconfig-settings-manager_0.8.2-0ubuntu1_all.deb
compiz-core_0.8.6-0ubuntu9.2_i386.deb
compiz-fusion-plugins-extra_0.8.6-0ubuntu1_i386.deb
compiz-fusion-plugins-main_0.8.6-0ubuntu2_i386.deb
compiz-gnome_0.8.6-0ubuntu9.2_i386.deb
compiz-plugins_0.8.6-0ubuntu9.2_i386.deb
libcompizconfig0_0.8.4-0ubuntu3_i386.deb
libdecoration0_0.8.6-0ubuntu1~ppa1_i386.deb

After installing these lock version using synaptic for compiz and compiz-core so that they're not auto updated.

fguille (ftj-guillemot) wrote :

I've succeded in patching Natty compiz 0.9.4 in order to have edge+mouse button binding work again.
However, something I couldn't fix yet : if top left+left click is Expose, clicking again doesn't exit Expose. Same for Scale. I can live with it however and will thus keep Natty.
Here is the 1 line patch in context diff (don't ask me why it works) :
diff -cr compiz-0.9.4+bzr20110415/src/event.cpp compiz-0.9.4+bzr20110415.fguille/src/event.cpp
*** compiz-0.9.4+bzr20110415/src/event.cpp 2011-04-15 11:01:04.000000000 +0200
--- compiz-0.9.4+bzr20110415.fguille/src/event.cpp 2011-05-21 10:51:47.839203285 +0200
***************
*** 155,163 ****

   if (event->window != priv->edgeWindow)
   {
! if (grabs.empty () || event->window != root)
! return false;
! }

   for (i = 0; i < SCREEN_EDGE_NUM; i++)
   {
--- 155,163 ----

   if (event->window != priv->edgeWindow)
   {
! if (!priv->grabs.empty () || event->window != root)
! return false;
! }

   for (i = 0; i < SCREEN_EDGE_NUM; i++)
   {

The fix is pending. Have a look at
http://bazaar.launchpad.net/~unity-team/compiz-core/core.fix_edgebuttons/revision/2755

It is dependent on a few other things though, so once we land them
we'll land this one too.

On Wed, Jun 1, 2011 at 3:31 AM, fguille <email address hidden> wrote:
> I've succeded in patching Natty compiz 0.9.4 in order to have edge+mouse button binding work again.
> However, something I couldn't fix yet : if top left+left click is Expose, clicking again doesn't exit Expose. Same for Scale. I can live with it however and will thus keep Natty.
> Here is the 1 line patch in context diff (don't ask me why it works) :
> diff -cr compiz-0.9.4+bzr20110415/src/event.cpp compiz-0.9.4+bzr20110415.fguille/src/event.cpp
> *** compiz-0.9.4+bzr20110415/src/event.cpp      2011-04-15 11:01:04.000000000 +0200
> --- compiz-0.9.4+bzr20110415.fguille/src/event.cpp      2011-05-21 10:51:47.839203285 +0200
> ***************
> *** 155,163 ****
>
>        if (event->window != priv->edgeWindow)
>        {
> !           if (grabs.empty () || event->window != root)
> !               return false;
> !       }
>
>        for (i = 0; i < SCREEN_EDGE_NUM; i++)
>        {
> --- 155,163 ----
>
>        if (event->window != priv->edgeWindow)
>        {
> !                   if (!priv->grabs.empty () || event->window != root)
> !                       return false;
> !               }
>
>        for (i = 0; i < SCREEN_EDGE_NUM; i++)
>        {
>
> --
> You received this bug notification because you are a member of compiz
> packagers, which is subscribed to compiz in Ubuntu.
> https://bugs.launchpad.net/bugs/754948
>
> Title:
>  Desktop Wall & Viewport Switcher: Bindings for "Next" and "Prev"
>  workspaces dont work. Bindings that use screen edges don't work.
>
> _______________________________________________
> Mailing list: https://launchpad.net/~compiz
> Post to     : <email address hidden>
> Unsubscribe : https://launchpad.net/~compiz
> More help   : https://help.launchpad.net/ListHelp
>

--
Sam Spilsbury

BryanFRitt (bryanfritt) wrote :

The "desktop Wall's 'Move Prev' and 'Move Next' not working" is a separate bug from "Bindings that use screen edges and mouse click's don't work".

Even with a version of Compiz that don't have the edge button bindings problem*,
If the current viewport is a leftmost or a rightmost viewport the shortcuts for 'Move Prev' and 'Move Next' don't do anything. ('Move Left' and 'Move Right' ones still work, but not the 'Move Prev' and 'Move Next' ones)

By 'Move Prev' and 'Move Next' don't work on leftmost or rightmost viewport, I mean something like this:
Say there's 16 viewports, in 4x4 form:
01 02 03 04
05 06 07 08
09 10 11 12
13 14 15 16
Then the bindings for 'move prev' and 'move next' don't do anything when the current viewport is:
01 04
05 08
09 12
13 16
and it will work when the current viewport is:
   02 03
   06 07
   10 11
   14 15
Again this is only with a version of Compiz that doesn't have the edge button problem*
*Tested with Compiz 0.9.2.1

Konstantinos Fakos (kfakos) wrote :

This bug must get fixed as soon as possible, it keeps away all the features that make the desktop really usable.

David R. Hedges (p14nd4) wrote :

Sam Spilsbury wrote about seven weeks ago "[the fix] is dependent on a few other things though, so once we land them we'll land this one too." Like I'm sure several others are as well, I'm excited to see this change deployed. Can you provide any comments on what else is needed before this patch drops into the main update channel, and possibly any estimate of when these changes might become available? Thanks!

Egan Neuhengen (egan) wrote :

I would like to add my voice here, because this is a very important usability feature for me. Like David Hedges, I would be very interested in any information about progress on this bug. Thank you!

caolan (caolan) wrote :

Still seeing the 'Move next' and 'Move prev' problem using Compiz 0.9.4.0 on Natty. This is an important part of my desktop experience, I use it *constantly* to switch between fullscreen terminator and fullscreen google-chrome. Using both on the same screen and doing alt+tab isn't anywhere near as nice.

Does anyone have a work around beyond downgrading?

Hello

It seems that downgrading is the only way :(

02.09.2011 08:11, caolan пишет:
> Still seeing the 'Move next' and 'Move prev' problem using Compiz
> 0.9.4.0 on Natty. This is an important part of my desktop experience, I
> use it *constantly* to switch between fullscreen terminator and
> fullscreen google-chrome. Using both on the same screen and doing
> alt+tab isn't anywhere near as nice.
>
> Does anyone have a work around beyond downgrading?
>

klap-in (klap-in) wrote :

This seems the same bug http://bugs.compiz.org/show_bug.cgi?id=6
(Either on my pc 'Move next' and 'Move prev' initiates no action at all..)

Is this a bug that should be fixed by ubuntu-community, or better in the upstream, thus by compiz?

Hồng Quân (ng-hong-quan) wrote :

Still not be fixed in official Ubuntu 11.10

BryanFRitt (bryanfritt) wrote :

https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/754948/comments/20
At least in general the edge button bindings are back to working in K/Ubuntu 11.10, however when the current viewport is a leftmost or rightmost viewport, the desktop wall bindings for 'Move next' and 'Move prev' still aren't working in K/Ubuntu 11.10. (and when prev/next do actually do something(when the current viewport isn't a leftmost or rightmost viewport), they are reversed: Prev does Next, and Next does Prev)

klap-in (klap-in) wrote :

Here a separated bug report about not working previous/next bindings:

https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/904205

fcole90 (fcole90) wrote :

 As part of the big bug review for 16.04 LTS I have tested this on 15.10 and the bug is still there. I think this is a feature request rather than a bug.

Changed in compiz (Ubuntu):
status: Confirmed → Opinion
tags: added: desktop-bugscrub-opinion
BryanFRitt (bryanfritt) wrote :

This works for me for in a compiled Compiz 0.9.12.2 using KDE and Debian 8 at least for me.
(Don't remember when it first was fixed, but I think it's been fixed for a while)

This is definitely more a bug than a feature request. Compiz has had bindings that use screen edges for a long time, as well as prev/next Viewport.
`ccsm` program -> Desktop section -> Desktop Wall plug-in -> Bindings tab -> ...

@Fabio (fcole90) Was your comment/change meant for a different bug?, or does the Ubuntu version of Compiz still have this problem, etc...?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.